Package com.xebialabs.xlrelease.api.v1.filter

# Class WorkflowFilters

java.lang.Object
com.xebialabs.xlrelease.api.v1.filter.WorkflowFilters

public class WorkflowFilters extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkflowFilters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthor()`
  `Set<String>`
  `getCategories()`
  `Set<String>`
  `getExcludeTags()`
  `String`
  `getFolderId()`
  `WorkflowOrderMode`
  `getOrderMode()`
  `String`
  `getSearchInput()`
  `Set<ReleaseStatus>`
  `getStatuses()`
  `Set<String>`
  `getTags()`
  `void`
  `setAuthor(String author)`
  `void`
  `setCategories(Set<String> categories)`
  `void`
  `setExcludeTags(Set<String> excludeTags)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setOrderMode(WorkflowOrderMode orderMode)`
  `void`
  `setSearchInput(String searchInput)`
  `void`
  `setStatuses(Set<ReleaseStatus> statuses)`
  `void`
  `setTags(Set<String> tags)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkflowFilters

    public WorkflowFilters()

- ## Method Details

  - ### getSearchInput

    public String getSearchInput()

  - ### setSearchInput

    public void setSearchInput(String searchInput)

  - ### getAuthor

    public String getAuthor()

  - ### setAuthor

    public void setAuthor(String author)

  - ### getCategories

    public Set<String> getCategories()

  - ### setCategories

    public void setCategories(Set<String> categories)

  - ### getTags

    public Set<String> getTags()

  - ### setTags

    public void setTags(Set<String> tags)

  - ### getExcludeTags

    public Set<String> getExcludeTags()

  - ### setExcludeTags

    public void setExcludeTags(Set<String> excludeTags)

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getStatuses

    public Set<ReleaseStatus> getStatuses()

  - ### setStatuses

    public void setStatuses(Set<ReleaseStatus> statuses)

  - ### getOrderMode

    public WorkflowOrderMode getOrderMode()

  - ### setOrderMode

    public void setOrderMode(WorkflowOrderMode orderMode)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`